Documentation Index
Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Back to API List
To get a specific queue with the given streamId and queueId.
| Method | GET |
|---|
| Endpoint | https://{{host}}/agentassist/api/v1/public/{{streamId}}/queues/{queueId} |
| Content Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token |
| API Scope | Configuration |
Path Parameters
| Parameter | Description | Type |
|---|
| host | Environment URL, for example, https://platform.kore.ai | string, required |
| streamId | botId or streamId. You can get it from the App Settings page. | string, required |
| id | queueId. Can be taken from the /queues GET API. | string, required |
Sample Request
curl --location 'http://{{host}}/agentassist/api/v1/public/{{streamId}}/queues/{{queueId}}' \
--header 'accept: application/json' \
--header 'accountId: {{accountId}}' \
--header 'auth: <token>' \
--header 'Content-Type: application/json' \
--data ''
Sample Response
When queueIds are passed:
{
"isActive": true,
"isDefault": true,
"name": "Queue1",
"isAdvancedRoutingEnabled": true,
"description": "queue description",
"orgId": "o-cff7fba7-ebf6-5b01-81a3-42bd24faxxxx",
"createdBy": "u-f9e37b9c-66d5-5525-9df1-da0edbeaxxxx",
"id": "qu-268eda9-ba47-4b03-ab29-d1909c38xxxx",
"hoursOfOperation": {
"id": "h-e8e22e03-fe32-5748-b830-02d161a3xxxx",
"name": "US West Coast"
},
"agents": [
{
"userId": "u-e8e22e03-fe32-5748-b830-02d161a3xxxx",
"name": "Charlie Abraham",
"isPreferredAgent": false,
"hoursOfOperation": {
"hoursOfOperationId": "h-e8e22e03-fe32-5748-b830-02d161a3xxxx",
"name": "US West Coast"
},
"skills": [
{
"id": "s-e1e22e03-fe32-5748-b830-02d161a3xxxx",
"name": "SILVER"
},
{
"id": "s-e1e22e03-fe32-5748-b830-02d161a3xxxx",
"name": "GOLD"
}
]
}
],
"skills": [
{
"id": "5ff233123124xxxx",
"name": "SILVER",
"isExpireEnabled": true,
"expireTime": {
"min": 10,
"sec": 20
},
"skillGroupName": "Test",
"skillGroupColor": "#070707"
}
],
"agentGroups": [
{
"id": "ag-ec83505-5152-494d-8071-3b68513cxxxx",
"name": "Default Queue"
}
],
"advancedSettings": {
"preferredAgentTimeout": {
"min": 10,
"sec": 20
},
"isSkillMatchEnabled": true,
"isAffinityMatchEnabled": true
}
}